Skip to main content
GET
Get PostgreSQL database configuration

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

project_id
string
required

ID of the project

Pattern: ^pj[0-9a-hj-km-np-tv-z]{24}$
Example:

"pjkkmx0f2vke4h36nk9cm8v8q0"

location
string
required

The Ubicloud location/region

Example:

"eu-central-h1"

postgres_database_reference
string
required

Postgres database ID or name Resource ID or name

Pattern: ^[a-z0-9](?:[a-z0-9\-]{0,61}[a-z0-9])?$

Response

Successful response

pg_config
object
required
Example:
pgbouncer_config
object
required
Example:
default_pg_config
object | null
read-only

System-computed configuration values based on instance size. User overrides in pg_config take precedence.

message
string
read-only

Informational message about the configuration update, such as restart requirements.